﻿<script type="text/javascript">

        var diretorioAplicacao = '@Url.Content("~")';

        @* ON ERROR UNBLOCK *@
        var unfreeze = function () {
            $.unblockUI();
            NProgress.done();
        };
        //var pageScale = 0.9;

        //$(document).ready(function () {
        //    if ($.browser.msie) {
        //        //
        //        $('.zoomPlus').hide();
        //        $('.zoomMinus').hide();
        //        //
        //    } else {
        //        scalePage(pageScale);
        //    }
        //    $('body').hide().fadeIn();
        //});
        //
        $(function () {

            @*
                ALERTA PADRÃO
                Desenvolvido por:
                [Leon Denis Paiva e Silva] PrimeTeam
            *@
            window.onerror = function (xhr) {
                console.log(xhr);

                var messagem = xhr.responseText.toString().substring(1, 200);
                var shortmessage = messagem;
                if (messagem.indexOf(".") != -1) {
                    shortmessage = messagem.split(".")[0];
                }



                swal({
                    title: 'Erro Interno!',
                    html: '<div class="swal-error-content">' +
                        '<br><b><h4>Entrar em contato o administrador!&nbsp;</h4></b>' +
                        '<br><p>Descrição erro: &nbsp; <br>' + '<i>' +
                        String(shortmessage) + '</i></p>' + '</div>',
                    cancelButtonColor: '#3085d6',
                    cancelButtonText: 'Ok'
                })
                setCustomIcon('fa fa-window-close');
            };

            @* LOGOUT *@
            $('#btnLogOut').click(function () {
                swal({
                    title: 'Deslogar?',
                    text: "Deseja sair do sistema?",
                    showCancelButton: true,
                    cancelButtonColor: '#d33',
                    cancelButtonText: 'Cancelar',
                    confirmButtonColor: '#3085d6',
                    confirmButtonText: 'Sim, sair!'
                }).then(function (result) {
                    if (result.value) {
                        window.location = '@Url.Content("~/api/Login/Deslogar")';
                    };
                    });
                setCustomIcon('fa fa-question-circle');
            });

            $(document).ajaxStart(function () {
                NProgress.start();
                $.blockUI({
                    message: '', baseZ: 11000, theme: true
                });
                @*$.blockUI({
                    message:
                    '<div class="text-center"><img src="@Url.Content("~/assets/img/carregando10.gif")" width="250" background: none; border-radius: 50px; /><span><br/> Aguarde</span></div>'
                    css: { border: 'none', padding: '10px', backgroundColor: 'transparent', color: '#FFFFFF', fontWeight: 'bold' },
                    baseZ: 7000
                    theme: true
                });*@

                @*$.blockUI({ message: '<div><img src="@Url.Content("~/assets/img/carregando5.gif")" width="200"; height=30"; z-index: 1100; /><span><br/> Carregando...</span></div>', css: { border: 'none', padding: '10px', backgroundColor: 'transparent', color: '#FFFFFF', fontWeight: 'bold' }, baseZ: 11000 });*@

                $.blockUI({
                message: '<img src="@Url.Content("~/assets/img/page-loading.svg")" width="200px" />',
                baseZ: 11000,
                theme: false,
                css: { background: 'none', border: 'none' },
                overlayCSS: { opacity: 0.75 }
                });

            }).ajaxStop(function () {
                $.unblockUI();
                NProgress.done();
                $(window).trigger('resize');
            });
            //$('form').h5Validate();
            $(document).on('submit',
                'form',
                function (e) {
                    e.preventDefault();
                    return false;
                });
            $.fn.select2.defaults.set("theme", "bootstrap");
            $.fn.select2.defaults.set('language', 'pt-BR');
            $('.date').datepicker($.datepicker.regional["pt-BR"]);
            $('.date').mask('00/00/0000', { placeholder: "__/__/____" });
            $('.input-daterangeym').datepicker({
                format: "yyyy/mm",
                startView: 1,
                minViewMode: 1,
                maxViewMode: 2,
                clearBtn: true,
                language: "pt-BR",
                autoclose: true
            });
            $('.input-daterangedmy').datepicker({
                format: "dd/mm/yyyy",
                startView: 0,
                minViewMode: 0,
                maxViewMode: 2,
                clearBtn: true,
                language: "pt-BR",
                autoclose: true
            });
            $('.input-mesano-daterangedmy').datepicker({
                format: "yyyy/mm",
                startView: 1,
                minViewMode: 1,
                maxViewMode: 2,
                clearBtn: true,
                language: "pt-BR",
                autoclose: true
            });
            $('#txtHoraAntNeg').datetimepicker({
                format: 'hh:ii',
                formatViewType: 'time',
                fontAwesome: true,
                viewMode: 'hours',
                startView: 1,
                pickDate: false,
                language: "pt-BR",
                minuteStep: 5,
                autoclose: true
            });
            $('#txtHoraAnt').datetimepicker({
                format: 'hh:ii',
                formatViewType: 'time',
                fontAwesome: true,
                viewMode: 'hours',
                startView: 1,
                pickDate: false,
                language: "pt-BR",
                minuteStep: 5,
                autoclose: true
            });

            //$(".input-timerangedmy").find('thead th').removeAttr();
            //$(".input-timerangedmy").find('thead').append($('<th class="switch">').text('Pick Time'));
            //$('.switch').css('width', '190px');
            //$('.input-timerangedmy').datepicker({
            //    format: "dd/mm/yyyy",
            //    startView: 0,
            //    minViewMode: 0,
            //    maxViewMode: 2,
            //    clearBtn: true,
            //    language: "pt-BR",
            //    autoclose: true
            //});
            $('.input-daterangedmy-hm').datetimepicker({
                format: 'DD-MM-YYYY HH:mm',
                startView: 0,
                minViewMode: 0,
                maxViewMode: 2,
                inline: true,
                clearBtn: true,
                locale: 'pt',
                autoclose: true,
            });
            $('#txtDatAgdCtoNeg').datetimepicker({
                format: 'dd/mm/yyyy hh:ii',
                viewMode: 'month',
                minViewMode: 3,
                maxViewMode: 2,
                language: "pt-BR",
                autoclose: true,
                icons: {
                    time: "fa fa-clock-o",
                    date: "fa fa-calendar",
                    up: "fa fa-arrow-up",
                    down: "fa fa-arrow-down"
                }
            });
            $('.dateym').mask('0000/00');
            $('.datedmy').mask('00/00/0000');
            $('.timedmy').mask('00:00');
            $('.datedmyhm').mask('00/00/0000 00:00');
            $('.numeric').mask('0#');
            $('.decimal').mask('99999,99');
            $('.money').mask("#.##0,00", { reverse: true });
            $('input[type="text"]').keyup(inputOnKeyUpNextField);
            $.fn.modal.Constructor.prototype.enforceFocus = function () { };

            //if (!$.browser.msie) {
            //    $('.zoomPlus').click(function () {
            //        scalePage(pageScale + 0.1);
            //    });
            //    $('.zoomMinus').click(function () {
            //        scalePage(pageScale - 0.1);
            //    })
            //};

            $('.input-daterangecustom').datepicker({
                format: "dd/mm/yyyy",
                startView: 0,
                minViewMode: 0,
                maxViewMode: 2,
                clearBtn: true,
                language: "pt-BR",
                autoclose: true
            });

            setTimeout(function () {
                $(window).on('resize', function () {
                    setTimeout(function () {
                        $('.slimScrollDiv,.page-sidebar-menu').attr('style', 'position: relative;overflow: hidden;width: auto; min-height:' +
                            ($('.page-content:first').height() + 300) + 'px !important;');
                    }, 50);
                }).trigger('resize');
            }, 150);
        });

        function removerCamposValidacaoForm() {
            $(".ui-state-error").removeClass("ui-state-error");
            $('div[id^="invalid-"]').css("display", "none");
        };

        function validarForm() {
            return $('form').h5Validate('allValid');
        };;

        function isNullOrEmpty(s) {
            return (s == null || s === "");
        };

        function range(start, end) {
            var foo = [];
            for (var i = start; i <= end; i++) {
                foo.push(i);
            }
            return foo;
        };

        function ajustaZindexUIModal() {
            $(".ui-dialog").css({
                zIndex: '11000'
            });
            $(".ui-widget-overlay").css({
                zIndex: '10099'
            });
        };

        function inputOnKeyUpNextField() {
            if ($(this).val().length == $(this).attr("maxlength")) {
                $(this).focusout();
                //$(this).datepicker('hide');
                $(':visible:input[type="text"]:eq(' + ($(':input[type="text"]').index(this) + 1) + ')').focus();
            }
        };

    function convertStringParaDecimalFormatado(str, decplaces, sepmilhar, locale) {
        if (str == undefined || str == null || str.length == 0) {
                return "";
        }
        else {
                var numWork = 0.0;
                if ($.type(str) === "string") {
                    numWork = convertStringParaDecimal(str, locale);
                } else {
                    numWork = str;
                }
                return $.number(numWork, decplaces, ',', sepmilhar ? '.' : '');
        }
    };

        function convertStringParaDecimal(str, locale) {
            if (str == undefined || str == null) {
                return "";
            } else {
                if ($.type(str) === "string") {
                    return $.parseNumber(str, { locale: locale });
                } else {
                    return str;
                }
            }
        };

        function stringIsNumeric(str) {
            if (isNullOrEmpty(str)) {
                str = "";
            }
            if ($.type(str) != "string") {
                str = str.toString();
            }
            str = str.replace(' ', '').replace('R$', '').replace('.', '').replace(',', '');
            return $.isNumeric(str);
        };

        function searchKeyPress(e, target) {
            e = e || window.event;
            if (e.keyCode == 13) {
                document.getElementById(target).click();
                return false;
            }
            return true;
        };

        function trataUndefined(obj, prop, def) {
            if (obj == undefined || obj == null) {
                return def;
            } else {
                if (obj[prop] == undefined) {
                    return def;
                } else {
                    return obj[prop];
                }
            }
        };

        function pushTextDownload(filename, text) {
            var element = document.createElement('a');
            element.setAttribute('href', 'data:application/octet-stream;base64,' + btoa(text));
            element.setAttribute('download', filename);

            element.style.display = 'none';
            document.body.appendChild(element);

            element.click();

            document.body.removeChild(element);
        };

        function limparTodosOsCampos(idContainer) {
            var container = $('#' + idContainer);
            container.find('*:input[type="checkbox"]').each(function (index, element) {
                var el = $(element);
                el.prop('checked', false);
            });
            container.find('*:input').each(function (index, element) {
                var el = $(element);
                el.val('');
                el.change();
            });
            container.find('select').each(function () {
                $(this).val('').trigger('change');
            });
            container.find('form').each(function (index, element) {
                var validator = $(element).validate();
                validator.resetForm();
            });

        };

        //function scalePage(scale) {
        //    if ($.browser.msie) {
        //        //
        //        //
        //    } else {
        //        //
        //        if ($.browser.mozilla) {
        //            $('html').css('-moz-transform', 'scale(' + scale + ')');

        //        } else if ($.browser.webkit) {
        //            $('html').css('-webkit-transform', 'scale(' + scale + ')');
        //            $('html').css('-o-transform', 'scale(' + scale + ')');
        //        } else {
        //            $('html').css('transform', 'scale(' + scale + ')');
        //        }
        //        //
        //        var scaleWidth = (100 * (1 / scale));
        //        var scaleLeft = -(scaleWidth * (1 - scale)) / 2;
        //        var scaleHeight = (100 * (1 / scale));
        //        var scaleTop = -(scaleHeight * (1 - scale)) / 2;
        //        //
        //        $('html').css('position', 'absolute');
        //        $('html').css('top', scaleTop + '%');
        //        $('html').css('left', scaleLeft + '%');
        //        $('html').width(scaleWidth + '%');
        //        $('html').height(scaleHeight + '%');
        //        //
        //    }
        //    pageScale = scale;
        //    $(window).trigger('resize');
        //};

        function getCurrentDate(flgFirstDay) {
            var d = new Date();
            var currentDay = d.getDate();
            var currentMonth = d.getMonth() + 1;

            if (currentMonth.toString().length < 2) { currentMonth = '0' + currentMonth; }

            if (flgFirstDay != undefined && flgFirstDay != null && flgFirstDay) { currentDay = "01"; }

            if (currentDay.toString().length < 2) { currentDay = '0' + currentDay; }

            return currentDay + '/' + currentMonth + '/' + d.getFullYear();
        };

        //Mostra o caminho da página ativa no menu.
        var mostrarCaminhoMenu = function (nomeRaiz, nomePagina) {
            try {
                setTimeout(function () {

                    $('span.title').each(function () {
                        if ($(this).html().toString() == nomeRaiz.toString()) {
                            $(this).parent().parent().addClass('active');
                        };
                    });

                    $('span.title').each(function () {
                        if ($(this).html().toString() == nomePagina.toString()) {
                            $(this).parent().parent().addClass('active');
                        };
                    });
                }, 100);
            } catch (e) {
                alert(e);
            };
        };

        //Verifica se o dispositivo é mobile.
        //Criado por Leon Denis [PrimeTeam]
        var isMobile = function () {
            try {

                return /(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|ipad|iris|kindle|Android|Silk|lge |maemo|midp|mmp|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows (ce|phone)|xda|xiino/i.test(navigator.userAgent)
                    || /1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(navigator.userAgent.substr(0, 4));

            } catch (e) {
                console.log(e.toString());
            };
        };

        //Verificar se o item selecionado no select2 já existe na grid.
        var verificadorSelect2Global = function (selct2, grid, culunaGrid, mensagem) {
            var lista = $(selct2).val();
            if (lista === undefined || lista === null || lista.length == 0)
                return;

            var data = ($(grid).DataTable()).data();

            for (var i = 0; i < data.length; i++) {
                for (var o = 0; o < lista.length; o++) {
                    if (data[i][culunaGrid] == lista[o]) {
                        lista.splice(o);
                        $(selct2).val(lista).trigger('change');
                        swal('Verificar!', mensagem);
                        setCustomIcon('fa fa-window-close');
                        return false;
                    };
                }
            };

            return true;
        };

        var verificadorSelect2GlobalSimples = function (selct2, grid, culunaGrid, mensagem) {
            var lista = $(selct2).val();

            if (lista === undefined || lista === null || lista.length == 0)
                return;


            var data = ($(grid).DataTable()).data();

            for (var i = 0; i < data.length; i++) {
                if (data[i][culunaGrid] == lista.trim()) {
                    $(selct2).val(null).trigger('change');
                    swal('Verificar!', mensagem);
                    setCustomIcon('fa fa-window-close');
                    return false;
                };
            };

            return true;
        };

        var verificadorExisteGlobal = function (lista, grid, culunaGrid, mensagem) {
            var CODCLIENTESEXISTENTES = [];

            var data = ($(grid).DataTable()).data();
            //console.log(lista[0]);

            for (var i = 0; i < data.length; i++) {

                for (var j = 0; j < lista.length; j++) {

                    if (data[i][culunaGrid] == lista[j]) {
                       
                        CODCLIENTESEXISTENTES.push(lista[j]);
                    };
                };
            };

            console.log(CODCLIENTESEXISTENTES);

            if (CODCLIENTESEXISTENTES.length != 0) {
                swal('Verificar!', mensagem + CODCLIENTESEXISTENTES + ' já adicionados');
                setCustomIcon('fa fa-window-close');
                return false;
            }
            else {
                return true;
            }
        };

        //setTimeout(function () { $('script').remove(); }, 200);

        //Mensagem do campo quando ele não está preenchido.
    var tooltipCampoObrigatorio = function (campo, mensagem, pos = "down") {
            try {

                $(campo).notify(
                    mensagem,
                    {
                        position: pos,
                        autoHide: false,
                        clickToHide: true
                    }
                );
            } catch (e) {

            };
        };

 

        var tooltipApagarValidation = function (campo) {
            $(campo).parent().find('.notifyjs-wrapper').trigger('notify-hide');
        }

        var apagaTooltipCampos = function() {
            $('.notifyjs-wrapper').trigger('notify-hide');
        }

</script>